Skip to main content
POST
/
ai
/
templates
/
list
List templates
curl --request POST \
  --url https://api.getcargo.io/v1/ai/templates/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hasDocumentation": true,
  "isPreset": true,
  "kinds": [
    "agent"
  ]
}
'
{
  "templates": [
    "<unknown>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

hasDocumentation
boolean

Filter templates that have documentation.

isPreset
boolean

Filter templates that are presets.

kinds
enum<string>[]

Filter templates by kind.

Available options:
agent,
mcpServer

Response

Successful response

templates
any[]
required

List of templates.